{ pkgs, ... }@all: with all;
{
  home = let 
    python-with-packages = pkgs.python3.withPackages (pp: with pp; [
      ipython
      requests
      debugpy
      black
    ]);
  in {
    packages = [
      python-with-packages
    ] ++ (with pkgs; [
      python311Packages.python-lsp-server
      ruff
      pyright
    ]);
    sessionVariables = {
      PYTHONPATH = "${python-with-packages}/${python-with-packages.sitePackages}";
    };
  };
}
